/*
Bryce Getsinger
CPSC 1011, Section 004, 11/13/2022
Lab 10B, a lab which compresses an HD prohograph using pointers,
structures, and functions in a multi-file program.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct {
	char type[4];
	int width, height, maxColor;
} fileInfo;

typedef struct {
	unsigned int r, g ,b;
} pixelInfo;

fileInfo getHeader();
void writeHeader(fileInfo functionHeader);
void fillImageArray(pixelInfo functionArray[], int functionWidth, int functionHeight);
void writePixels(pixelInfo printArray[], int printWidth, int printHeight);
void halfSizeWritePixels(pixelInfo printArray[], int printWidth, int printHeight);
